org.gradle.api.file

## Interface FileVisitor

- All Known Implementing Classes:
    EmptyFileVisitor

      public interface FileVisitor

  A `FileVisitor` is used to visit each of the files in a `FileTree`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visitDir(FileVisitDetails dirDetails)` Visits a directory.
    `void` | `visitFile(FileVisitDetails fileDetails)` Visits a file.

- - ### Method Detail

    - #### visitDir

          void visitDir(FileVisitDetails dirDetails)

      Visits a directory.
      Parameters:
        `dirDetails` - Meta-info about the directory.

    - #### visitFile

          void visitFile(FileVisitDetails fileDetails)

      Visits a file.
      Parameters:
        `fileDetails` - Meta-info about the file.